Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.servlet
Class Holder.HolderRegistration

    java.lang.Object
      org.eclipse.jetty.servlet.Holder.HolderRegistration

All Implemented Interfaces:
  Registration, Registration.Dynamic

Direct Known Subclasses:
  FilterHolder.Registration, ServletHolder.Registration

Enclosing class:
  Holder<T>

    protected class Holder.HolderRegistration

extends java.lang.Object
implements Registration.Dynamic

Nested Class Summary

Nested classes/interfaces inherited from interface javax.servlet.Registration
`Registration.Dynamic`

Constructor Summary
`protected` | `Holder.HolderRegistration()`

Method Summary
`java.lang.String` | `getClassName()` Gets the fully qualified class name of the Servlet or Filter that is represented by this Registration.
`java.lang.String` | `getInitParameter(java.lang.String name)` Gets the value of the initialization parameter with the given name that will be used to initialize the Servlet or Filter represented by this Registration object.
`java.util.Map<java.lang.String,java.lang.String>` | `getInitParameters()` Gets an immutable (and possibly empty) Map containing the currently available initialization parameters that will be used to initialize the Servlet or Filter represented by this Registration object.
`java.lang.String` | `getName()` Gets the name of the Servlet or Filter that is represented by this Registration.
`void` | `setAsyncSupported(boolean isAsyncSupported)` Configures the Servlet or Filter represented by this dynamic Registration as supporting asynchronous operations or not.
`void` | `setDescription(java.lang.String description)`
`boolean` | `setInitParameter(java.lang.String name, java.lang.String value)` Sets the initialization parameter with the given name and value on the Servlet or Filter that is represented by this Registration.
`java.util.Set<java.lang.String>` | `setInitParameters(java.util.Map<java.lang.String,java.lang.String> initParameters)` Sets the given initialization parameters on the Servlet or Filter that is represented by this Registration.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Holder.HolderRegistration

    protected Holder.HolderRegistration()

Method Detail

### setAsyncSupported

    public void setAsyncSupported(boolean isAsyncSupported)

  Description copied from interface: `Registration.Dynamic`
  Configures the Servlet or Filter represented by this dynamic Registration as supporting asynchronous operations or not.

  By default, servlet and filters do not support asynchronous operations.

  A call to this method overrides any previous setting.

  Specified by:
    `setAsyncSupported` in interface `Registration.Dynamic`
  Parameters:
    `isAsyncSupported` - true if the Servlet or Filter represented by this dynamic Registration supports asynchronous operations, false otherwise

### setDescription

    public void setDescription(java.lang.String description)

### getClassName

    public java.lang.String getClassName()

  Description copied from interface: `Registration`
  Gets the fully qualified class name of the Servlet or Filter that is represented by this Registration.

  Specified by:
    `getClassName` in interface `Registration`
  Returns:
    the fully qualified class name of the Servlet or Filter that is represented by this Registration, or null if this Registration is preliminary

### getInitParameter

    public java.lang.String getInitParameter(java.lang.String name)

  Description copied from interface: `Registration`
  Gets the value of the initialization parameter with the given name that will be used to initialize the Servlet or Filter represented by this Registration object.

  Specified by:
    `getInitParameter` in interface `Registration`
  Parameters:
    `name` - the name of the initialization parameter whose value is requested
  Returns:
    the value of the initialization parameter with the given name, or `null` if no initialization parameter with the given name exists

### getInitParameters

    public java.util.Map<java.lang.String,java.lang.String> getInitParameters()

  Description copied from interface: `Registration`
  Gets an immutable (and possibly empty) Map containing the currently available initialization parameters that will be used to initialize the Servlet or Filter represented by this Registration object.

  Specified by:
    `getInitParameters` in interface `Registration`
  Returns:
    Map containing the currently available initialization parameters that will be used to initialize the Servlet or Filter represented by this Registration object

### getName

    public java.lang.String getName()

  Description copied from interface: `Registration`
  Gets the name of the Servlet or Filter that is represented by this Registration.

  Specified by:
    `getName` in interface `Registration`
  Returns:
    the name of the Servlet or Filter that is represented by this Registration

### setInitParameter

    public boolean setInitParameter(java.lang.String name,
                                    java.lang.String value)

  Description copied from interface: `Registration`
  Sets the initialization parameter with the given name and value on the Servlet or Filter that is represented by this Registration.

  Specified by:
    `setInitParameter` in interface `Registration`
  Parameters:
    `name` - the initialization parameter name
    `value` - the initialization parameter value
  Returns:
    true if the update was successful, i.e., an initialization parameter with the given name did not already exist for the Servlet or Filter represented by this Registration, and false otherwise

### setInitParameters

    public java.util.Set<java.lang.String> setInitParameters(java.util.Map<java.lang.String,java.lang.String> initParameters)

  Description copied from interface: `Registration`
  Sets the given initialization parameters on the Servlet or Filter that is represented by this Registration.

  The given map of initialization parameters is processed by-value, i.e., for each initialization parameter contained in the map, this method calls `Registration.setInitParameter(String,String)`. If that method would return false for any of the initialization parameters in the given map, no updates will be performed, and false will be returned. Likewise, if the map contains an initialization parameter with a `null` name or value, no updates will be performed, and an IllegalArgumentException will be thrown.

  Specified by:
    `setInitParameters` in interface `Registration`
  Parameters:
    `initParameters` - the initialization parameters
  Returns:
    the (possibly empty) Set of initialization parameter names that are in conflict

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.